Subject: M-x shell expansion fooled by "\|"

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Tue, 26 Feb 2019 21:37:01 +0800

M-x shell
$ grep -l \| o<TAB> #Here it thinks we are piping, because it didn't
notice the backslash, so offers bin/* completions, not ./* completions.
$ grep -l \| x o<TAB> #Here I need to add the x to get it to finally
expand filenames.
$ grep -l '|' x x x o<TAB> #Here no amount of x's will finally let us
expand anything!
P.S., "grep -l" doesn't matter, you could even just use ":" (null
command).
By the way,
$ grep string <TAB> #Doesn't expand anything, also doesn't give a list of
completions. One has to help it get started:
$ grep string o<TAB>